package com.kdanmobile.reader.setting

import android.app.Dialog

interface ReaderSettingListener {

    fun onReadModeChanged(readMode: Int)

    fun onCropModeEnableChanged(enable: Boolean)

    fun onShowStateBarEnableChanged(enable: Boolean, dialog: Dialog?)

    fun onTurnPageDirectionChanged(direction: Int)

    fun onShowTurnPageBtnEnableChanged(enable: Boolean)

    fun onLockScreenSleepEnableChanged(enable: Boolean)

    fun onShowCommentToolEnableChanged(enable: Boolean)

    fun onShowBOTAToolEnableChanged(enable: Boolean)
}
